Package org.eclipse.emf.cdo.spi.common.revision

## Interface InternalCDORevisionDelta

- All Superinterfaces:
    `CDOBranchAdjustable`, `CDOBranchProvider`, `CDOBranchVersion`, `CDOIDAndVersion`, `CDOIdentifiable`, `CDOReferenceAdjustable`, `CDORevisionDelta`, `CDORevisionKey`, `CDOVersionProvider`

      public interface InternalCDORevisionDelta
      extends CDORevisionDelta, CDOReferenceAdjustable, CDOBranchAdjustable

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    2.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `FIRST_VERSION, UNSPECIFIED_VERSION`

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDORevisionDelta

      `DETACHED`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFeatureDelta​(CDOFeatureDelta delta)` | Deprecated. As of 4.2 use `addFeatureDelta(CDOFeatureDelta, CDOOriginSizeProvider)`.
    `void` | `addFeatureDelta​(CDOFeatureDelta delta, CDOOriginSizeProvider originSizeProvider)` |
    `java.util.Map<org.eclipse.emf.ecore.EStructuralFeature,​CDOFeatureDelta>` | `getFeatureDeltaMap()` |
    `void` | `setBranch​(CDOBranch branch)` |
    `void` | `setTarget​(CDORevisable target)` |
    `void` | `setVersion​(int version)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.CDOBranchAdjustable

      `adjustBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchVersion

      `getBranch, getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndVersion

      `getVersion`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.CDOReferenceAdjustable

      `adjustReferences`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.delta.CDORevisionDelta

      `accept, accept, accept, apply, applyTo, copy, getEClass, getFeatureDelta, getFeatureDeltas, getTarget, isEmpty, size`

- - ### Method Detail

    - #### getFeatureDeltaMap

          java.util.Map<org.eclipse.emf.ecore.EStructuralFeature,​CDOFeatureDelta> getFeatureDeltaMap()

      Since:
        3.0

    - #### addFeatureDelta

          @Deprecated
          void addFeatureDelta​(CDOFeatureDelta delta)

      Deprecated.
      As of 4.2 use `addFeatureDelta(CDOFeatureDelta, CDOOriginSizeProvider)`.

    - #### addFeatureDelta

          void addFeatureDelta​(CDOFeatureDelta delta,
                               CDOOriginSizeProvider originSizeProvider)

      Since:
        4.2

    - #### setBranch

          void setBranch​(CDOBranch branch)

      Since:
        3.0

    - #### setVersion

          void setVersion​(int version)

      Since:
        3.0

    - #### setTarget

          void setTarget​(CDORevisable target)

      Since:
        4.0